//+------------------------------------------------------------------+
//|                                                        25076.mq4 |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#include <stdlib.mqh>
#include <stderror.mqh>

#define LRNAME "LR"

datetime gtLeft,gtRight;
int giError = ERR_NO_ERROR;

//--------------------------------------------------------------------
int start()
{
  if(giError==ERR_COMMON_ERROR) return(ERR_COMMON_ERROR);   //somewhere EA aborts...
   
  if(ObjectFind(LRNAME)==-1)
  { 
    gtLeft = TimeCurrent()-Period()*60*20;        //20 bars back
    gtRight = TimeCurrent();
    
    if(ObjectCreate(LRNAME,OBJ_REGRESSION,0,gtLeft,0,gtRight,0)==false)
    {
      giError = GetLastError();
      Print("ObjectCreate(\"",LRNAME,"\",from:",TimeToStr(gtLeft),",to:",TimeToStr(gtRight),") Error=",giError,"=",ErrorDescription(giError));
      giError = ERR_COMMON_ERROR;
      return(ERR_COMMON_ERROR);
    }
  }//drawNewDayLR
  
  if((Minute()%Period())==0)
  {
    gtRight = TimeCurrent();                      //NOTE:gtLeft set when LR created

    if(ObjectMove(LRNAME,1,gtRight,0)==false)     //"1" selects coordinate pair.2 of 2 for LR object type. NB:selector counts from 0..2
    {
      giError = GetLastError();
      Print("ObjectMove(\"",LRNAME,"\",from:",TimeToStr(gtLeft),",to:",TimeToStr(gtRight),") Error=",giError,"=",ErrorDescription(giError));
      giError = ERR_COMMON_ERROR;
      return(ERR_COMMON_ERROR);
    }
  }//extendLRtoNextBar
  
  return(ERR_NO_ERROR);
}


